Kostas


# git project excersice

Git :

Version Control System (CLI, possibly GUI)
Open Source
git-scm.com

Gitlab:

Hosting service to host the repositories
Social/Collab website
Alternatives: Github, Bitbucket

Git clone address of the repository to import a project

- To commit in the vs-code console
git commit -m "name of the commit"

git add to add a file to staging

git rm to remove a file from staging

git push to push to the repository

git pull for a pull request from the repository

git diff to campare local versions of your project 

git status to check the status of your local repository

git branch gives you an overview of all the branches

git branch newbranch creates a new branch

git checkout newbranch  moves to new branch

git checkout -b newbranch switches to a new branch called newbranch

git merge oldbranch to merge branches together. You need to be in the branch you want to merge to

## no need for the rest of this shitty premade readme file!